--- libxml2-2.4.24/new	Mon Aug 26 09:56:03 2002
+++ libxml2-2.4.24/xpath.c	Mon Aug 26 09:56:13 2002
@@ -2839,7 +2839,7 @@
  *
  * Returns the value or NULL if not found
  */
-const xmlChar *
+xmlChar *
 xmlXPathNsLookup(xmlXPathContextPtr ctxt, const xmlChar *prefix) {
     if (ctxt == NULL)
 	return(NULL);
--- libxml2-2.4.24/include/libxml/new	Mon Aug 26 09:57:16 2002
+++ libxml2-2.4.24/include/libxml/parser.h	Mon Aug 26 09:57:21 2002
@@ -678,11 +678,11 @@
 xmlChar *	xmlStrsub		(const xmlChar *str,
 					 int start,
 					 int len);
-const xmlChar *	xmlStrchr		(const xmlChar *str,
+xmlChar *	xmlStrchr		(const xmlChar *str,
 					 xmlChar val);
-const xmlChar *	xmlStrstr		(const xmlChar *str,
+xmlChar *	xmlStrstr		(const xmlChar *str,
 					 const xmlChar *val);
-const xmlChar *	xmlStrcasestr		(const xmlChar *str,
+xmlChar *	xmlStrcasestr		(const xmlChar *str,
 					 xmlChar *val);
 int		xmlStrcmp		(const xmlChar *str1,
 					 const xmlChar *str2);
--- libxml2-2.4.24/include/libxml/new1	Mon Aug 26 09:59:43 2002
+++ libxml2-2.4.24/include/libxml/xpathInternals.h	Mon Aug 26 09:59:46 2002
@@ -422,7 +422,7 @@
 int		   xmlXPathRegisterNs		(xmlXPathContextPtr ctxt,
 						 const xmlChar *prefix,
 						 const xmlChar *ns_uri);
-const xmlChar *	   xmlXPathNsLookup		(xmlXPathContextPtr ctxt,
+xmlChar *	   xmlXPathNsLookup		(xmlXPathContextPtr ctxt,
 						 const xmlChar *prefix);
 void		   xmlXPathRegisteredNsCleanup	(xmlXPathContextPtr ctxt);
 
--- libxml2-2.4.24/new1	Mon Aug 26 10:02:03 2002
+++ libxml2-2.4.24/nanohttp.c	Mon Aug 26 10:02:27 2002
@@ -41,7 +41,9 @@
 #endif
 #ifdef HAVE_RESOLV_H
 #ifdef HAVE_ARPA_NAMESER_H
-#include <arpa/nameser.h>
+#if defined(_AIX) && !defined(_AIX51)
+  #include <arpa/nameser.h>
+#endif
 #endif
 #include <resolv.h>
 #endif
--- libxml2-2.5.11/include/libxml/parserInternals.h.org	2003-11-10 13:33:58.000000000 -0600
+++ libxml2-2.5.11/include/libxml/parserInternals.h	2003-11-10 13:34:28.000000000 -0600
@@ -295,7 +295,7 @@
 xmlChar *		xmlParseVersionNum	(xmlParserCtxtPtr ctxt);
 xmlChar *		xmlParseVersionInfo	(xmlParserCtxtPtr ctxt);
 xmlChar *		xmlParseEncName		(xmlParserCtxtPtr ctxt);
-const xmlChar *		xmlParseEncodingDecl	(xmlParserCtxtPtr ctxt);
+xmlChar *		xmlParseEncodingDecl	(xmlParserCtxtPtr ctxt);
 int			xmlParseSDDecl		(xmlParserCtxtPtr ctxt);
 void			xmlParseXMLDecl		(xmlParserCtxtPtr ctxt);
 void			xmlParseTextDecl	(xmlParserCtxtPtr ctxt);
--- libxml2-2.4.24/nanoftp.c.org	2004-02-23 11:48:44.000000000 -0600
+++ libxml2-2.4.24/nanoftp.c	2004-02-23 11:52:56.000000000 -0600
@@ -97,6 +97,11 @@
 #define SOCKLEN_T unsigned int
 #endif
 
+#ifdef SUPPORT_IP6
+#define is_storage_ipv6(addr)  ((addr).__ss_family == AF_INET6)
+#endif
+
+
 #define FTP_COMMAND_OK		200
 #define FTP_SYNTAX_ERROR	500
 #define FTP_GET_PASSWD		331
@@ -1500,7 +1505,7 @@
 
     memset (&dataAddr, 0, sizeof(dataAddr));
 #ifdef SUPPORT_IP6
-    if ((ctxt->ftpAddr).ss_family == AF_INET6) {
+    if (is_storage_ipv6(ctxt->ftpAddr)) {
 	ctxt->dataFd = socket (AF_INET6, SOCK_STREAM, IPPROTO_TCP);
 	((struct sockaddr_in6 *)&dataAddr)->sin6_family = AF_INET6;
 	dataAddrLen = sizeof(struct sockaddr_in6);
@@ -1520,7 +1525,7 @@
 
     if (ctxt->passive) {
 #ifdef SUPPORT_IP6
-	if ((ctxt->ftpAddr).ss_family == AF_INET6)
+	if (is_storage_ipv6(ctxt->ftpAddr))
 	    snprintf (buf, sizeof(buf), "EPSV\r\n");
 	else
 #endif
@@ -1550,7 +1555,7 @@
 	cur = &ctxt->controlBuf[ctxt->controlBufAnswer]; 
 	while (((*cur < '0') || (*cur > '9')) && *cur != '\0') cur++;
 #ifdef SUPPORT_IP6
-	if ((ctxt->ftpAddr).ss_family == AF_INET6) {
+	if (is_storage_ipv6(ctxt->ftpAddr)) {
 	    if (sscanf (cur, "%u", &temp[0]) != 1) {
 		xmlGenericError (xmlGenericErrorContext,
 			"Invalid answer to EPSV\n");
@@ -1588,7 +1593,7 @@
     } else {
         getsockname(ctxt->dataFd, (struct sockaddr *) &dataAddr, &dataAddrLen);
 #ifdef SUPPORT_IP6
-	if ((ctxt->ftpAddr).ss_family == AF_INET6)
+	if (is_storage_ipv6(ctxt->ftpAddr))
 	    ((struct sockaddr_in6 *)&dataAddr)->sin6_port = 0;
 	else
 #endif
@@ -1604,7 +1609,7 @@
 
 	if (listen(ctxt->dataFd, 1) < 0) {
 #ifdef SUPPORT_IP6
-	    if ((ctxt->ftpAddr).ss_family == AF_INET6)
+	    if (is_storage_ipv6(ctxt->ftpAddr))
 		xmlGenericError (xmlGenericErrorContext,
 			"Could not listen on port %d\n",
 			ntohs (((struct sockaddr_in6 *)&dataAddr)->sin6_port));
@@ -1617,7 +1622,7 @@
 	    return (-1);
 	}
 #ifdef SUPPORT_IP6
-	if ((ctxt->ftpAddr).ss_family == AF_INET6) {
+	if (is_storage_ipv6(ctxt->ftpAddr)) {
 	    char buf6[INET6_ADDRSTRLEN];
 	    inet_ntop (AF_INET6, &((struct sockaddr_in6 *)&dataAddr)->sin6_addr,
 		    buf6, INET6_ADDRSTRLEN);
